<?xml version="1.0" encoding="UTF-8"?>
<!-- Howto use it:
    1. create a new xml-file "example.xml" with ff. content:
      <?xml version="1.0" encoding="UTF-8"?>
      <policy />
    2. call xslt, example:
       xsltproc SLUB_mediaconch_policy_all.xsl example.xml
-->      
<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="/">
        <policy type="or" name="SLUB Policies" license="CC-BY-SA-4.0+">
            <!-- Add description -->
            <description>
                <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_audio.xml')/policy/description/text()" />    ***************************************************************************************************************
                <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_video.xml')/policy/description/text()" />    ***************************************************************************************************************
                <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film8mm.xml')/policy/description/text()" />    ***************************************************************************************************************
                <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film16mm.xml')/policy/description/text()" />    ***************************************************************************************************************
                <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film35mm.xml')/policy/description/text()" />
            </description>
            <!-- Add policy -->
            <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_audio.xml')/policy/policy" />
            <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_video.xml')/policy/policy" />
            <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film8mm.xml')/policy/policy" />
            <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film16mm.xml')/policy/policy" />
            <xsl:copy-of select="document('SLUB_mediaconch_policy_retrodigitized_film35mm.xml')/policy/policy" />
        </policy>
    </xsl:template>
</xsl:stylesheet>

<!-- Note:           TABs are not allowed in this xsl file and also in copied xml files! 
     Add new policy: 1) Add description from new policy file as in example below. (*...) used as separator for descriptions.
                     2) Add new policy as in example below. 
                     3) Transform mediaconch-profiles.xsl to SLUB_mediaconch_policy_all.xml                                   -->