#!/bin/dash - 
#===============================================================================
#
#          FILE: build_all.sh
# 
#         USAGE: ./build_all.sh 
# 
#   DESCRIPTION: combines all policies
# 
#       OPTIONS: ---
#  REQUIREMENTS: xsltproc
#          BUGS: ---
#         NOTES: ---
#        AUTHOR: Andreas Romeyke, 
#  ORGANIZATION: SLUB
#       CREATED: 08.09.2020 09:19
#      REVISION:  ---
#===============================================================================

set -o nounset                              # Treat unset variables as an error

BUILD=./build
if [ -e ${BUILD} ];
then
  echo BUILD-dir ${BUILD} already exist, Aborting...
else
  TEMP_FILE=$(mktemp)
  COMBINED_FILE=${BUILD}/SLUB_mediaconch_policy_all.xml
  mkdir $BUILD
  echo '<?xml version="1.0" encoding="UTF-8"?>' > "${TEMP_FILE}"
  echo '<policy />' >> "${TEMP_FILE}"
  xsltproc SLUB_mediaconch_policy_all.xsl "${TEMP_FILE}" > "${COMBINED_FILE}" 
  rm -f "${TEMP_FILE}"
  ls -lh "${COMBINED_FILE}"
  echo "finished."
fi

